diff --git a/src/vulkan/wsi/wayland.c b/src/vulkan/wsi/wayland.c
index 444d2bb..b7de0b2 100644
--- a/src/vulkan/wsi/wayland.c
+++ b/src/vulkan/wsi/wayland.c
@@ -128,7 +128,7 @@ dispatch_key(xkb_keycode_t xkb_key, enum wl_keyboard_key_state state)
 }
 
 static void
-handle_key(uint key, enum wl_keyboard_key_state state)
+handle_key(unsigned int key, enum wl_keyboard_key_state state)
 {
    xkb_keycode_t xkb_key = key + 8;
    struct itimerspec timer = {0};
@@ -151,15 +151,15 @@ handle_key(uint key, enum wl_keyboard_key_state state)
 }
 
 static void
-key(void *data, struct wl_keyboard *keyboard, uint serial,
-    uint time, uint key, enum wl_keyboard_key_state state)
+key(void *data, struct wl_keyboard *keyboard, unsigned int serial,
+    unsigned int time, unsigned int key, enum wl_keyboard_key_state state)
 {
    handle_key(key, state);
 }
 
 static void
-modifiers(void *data, struct wl_keyboard *keyboard, uint serial,
-    uint mods_depressed, uint mods_latched, uint mods_locked, uint group)
+modifiers(void *data, struct wl_keyboard *keyboard, unsigned int serial,
+    unsigned int mods_depressed, unsigned int mods_latched, unsigned int mods_locked, unsigned int group)
 {
    xkb_state_update_mask(keyboard_data.xkb_state, mods_depressed, mods_latched,
                          mods_locked, 0, 0, group);
@@ -184,7 +184,7 @@ keymap(void *data, struct wl_keyboard *keyboard,
 }
 
 static void
-enter(void *data, struct wl_keyboard *keyboard, uint serial,
+enter(void *data, struct wl_keyboard *keyboard, unsigned int serial,
       struct wl_surface *surface, struct wl_array *keys)
 {
    uint32_t *key;
@@ -194,7 +194,7 @@ enter(void *data, struct wl_keyboard *keyboard, uint serial,
 }
 
 static void
-leave(void *data, struct wl_keyboard *keyboard, uint serial,
+leave(void *data, struct wl_keyboard *keyboard, unsigned int serial,
       struct wl_surface *surface)
 {
    struct itimerspec timer = {0};
